package com.shilohmorris.dctm.plugin.model;

import java.util.ArrayList;
import java.util.Iterator;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * <p>Convenience class for managing collections of Component
 * Models.</p>
 *
 * User: morriss
 * Date: Oct 17, 2006
 * Time: 9:33:57 AM
 */
public class ComponentModelList extends ArrayList {

    /**
     * Retrieves a ComponentModel from the underlying collection
     * based on the name passed in.
     *
     * @param name of the ComponentModel to retrieve
     * @return ComponentModel found
     */
    public ComponentModel containsName(String name) {
        ComponentModel returnModel = null;
        for(Iterator it = iterator(); it.hasNext(); ) {
            ComponentModel model = (ComponentModel) it.next();
            if(model.getComponentName().equalsIgnoreCase(name)) {
                returnModel = model;
            }
        }
        return returnModel;
    }

}
