package com.shilohmorris.dctm.plugin.parser;

import org.jdom.Element;
import com.shilohmorris.dctm.plugin.model.ComponentModel;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * <p>Element Handlers are used to look for specific items
 * within a file.  When a set of tags meet the Criteria
 * set forth in the specific impementation, the handler can act
 * it.  Usually this entails getting the value of the XML elements</p>
 */
public interface ElementHandler {

    /**
     *
     * @param element the current xml Element
     * @param model the current ComponentModel
     */
    public void handleElement(Element element, ComponentModel model);
}
