package com.shilohmorris.dctm.plugin.parser;

import org.jdom.Element;
import com.shilohmorris.dctm.plugin.model.ComponentModel;
import com.shilohmorris.dctm.plugin.model.JspPage;

import java.util.List;
import java.util.Iterator;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * Handler class for retrieving the jsp and filter elements
 * from the configuration file
 */
public class JspPagesHandler implements ElementHandler {

    public void handleElement(Element element, ComponentModel model) {
        if( element.getName().equalsIgnoreCase("pages")) {
            List childrenList = element.getChildren();
            // lookout for the "filter" tag.  God knows what other shat the DCTM folks put in thier stuff
            for( Iterator it = childrenList.iterator(); it.hasNext();) {
                Element pageChildElement = (Element) it.next();

                if( pageChildElement.getName().equals("filter")) {
                    //if this is a filter tag, check for it's children
                    for(Iterator filterChildren = pageChildElement.getChildren().iterator(); filterChildren.hasNext();) {
                        Element jspElement = (Element) filterChildren.next();
                        JspPage page = new JspPage();
                        page.setFilter(pageChildElement.getName());
                        page.setName(jspElement.getName());
                        page.setFilename(jspElement.getValue());
                        model.addJsp(page);
                    } // end iterate filter children
                }  else {
                    JspPage page = new JspPage();
                    page.setName(pageChildElement.getName());
                    page.setFilename(pageChildElement.getValue());
                    model.addJsp(page);
                    // end filter if
                }

            }
        }
    }
}
