package com.shilohmorris.dctm.plugin.ui;

import com.intellij.util.ui.UIUtil;

import javax.swing.*;
import java.awt.*;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * Panel for displaying error messages 
 *
 */
public class ErrorPanel extends JPanel {

    String message = "";
    int maxLineLength = 25;



    public ErrorPanel( String message) {
        this.message = message;
        drawUi();

    }


    private void drawUi() {
        this.setBackground(UIUtil.getTreeTextBackground());
        this.setLayout(new BorderLayout());
        this.setBorder(BorderFactory.createLineBorder(Color.BLACK));
        JLabel label = new JLabel(message);
        label.setHorizontalAlignment(JLabel.CENTER);
        label.setVerticalAlignment(JLabel.CENTER);        
        label.setForeground(Color.RED);
        this.add(label, BorderLayout.CENTER);
    }




    
}
