package com.shilohmorris.dctm.plugin.ui;

import java.io.Serializable;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * TreeNodeItem contain all the backing information for each
 * tree node.
 */
public class TreeNodeItem implements Serializable {

    public static final String ROOT = "root";
    public static final String COMP_ROOT = "comp_root";
    public static final String JSP_FILE = "jsp_file";
    public static final String JSP_FOLDER = "jsp_folder";
    public static final String JAVA_FILE = "java_folder";
    public static final String CONFIG_FILE = "config_file";
    public static final String NLSPROPS = "nls_props";
    public static final String JSP_FILTER = "jsp_filter";


    private String name;
    private String fileName;
    private String type;

    public TreeNodeItem(String name, String fileName, String type) {
        this.name = name;
        this.fileName = fileName;
        this.type = type;
    }

    public TreeNodeItem() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String toString() {
        return name;
    }
}
