package com.shilohmorris.dctm.plugin.utils;

import com.intellij.openapi.vfs.VirtualFile;
import com.intellij.openapi.fileEditor.FileEditorManager;
import com.intellij.openapi.project.Project;

/*
 *
 * ****************************************************************************
 * Copyright 2006 Shiloh Morris                                               *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License");            *
 * you may not use this file except in compliance with the License.           *
 * You may obtain a copy of the License at                                    *
 *                                                                            *
 *     http://www.apache.org/licenses/LICENSE-2.0                             *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * ****************************************************************************
 */

/**
 * OpenNewEditorRunnable wraps the calls neccessary to
 * open a new file editor window in a Runnable format.
 *
 */
public class OpenNewEditorRunnable implements Runnable {

    private VirtualFile fileToOpen;
    private Project currentProject;

    public OpenNewEditorRunnable(Project currentProject) {
        this.currentProject = currentProject;
    }

    public OpenNewEditorRunnable(VirtualFile fileToOpen, Project currentProject) {
        this.fileToOpen = fileToOpen;
        this.currentProject = currentProject;
    }


    public void run() {
            FileEditorManager.getInstance(currentProject).openFile(fileToOpen, true);
        }


        public VirtualFile getFileToOpen() {
            return fileToOpen;
        }

        public void setFileToOpen(VirtualFile fileToOpen) {
            this.fileToOpen = fileToOpen;
        }
    }
